Bug 148859 - 2 * missing return statement
2 * missing return statement
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gok (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-16 08:21 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-09 14:48:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-16 08:21:24 EST
Description of problem:

I just tried to compile package gok-0.12.3-1 from 
Redhat Fedora development tree.

The compiler said

1.

gok-word-complete.c(229): warning #1011: missing return statement at
end of non-void function "gok_wordcomplete_process_unichar"

The source code is

gchar *
gok_wordcomplete_process_unichar (GokWordComplete *complete, gunichar
letter)
{
        GokWordCompleteClass *klass = GOK_WORDCOMPLETE_GET_CLASS
(complete);
        if (klass->process_unichar)
                return (* klass->process_unichar) (complete, letter);
}

Suggest add return statment at the end of the routine, for the case
where klass->process_unichar is NULL.

2.

gok-word-complete.c(294): warning #1011: missing return statement at
end of non-void function "gok_wordcomplete_predict"

Duplicate.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Clasen 2005-03-09 14:48:03 EST
Filed upstream as http://bugzilla.gnome.org/show_bug.cgi?id=169761

Note You need to log in before you can comment on or make changes to this bug.